"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _splitItems2 = _interopRequireDefault(require("./splitItems"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FeaturedListView(_ref) {
  var items = _ref.items,
      _ref$showFeatured = _ref.showFeatured,
      showFeatured = _ref$showFeatured === void 0 ? true : _ref$showFeatured,
      _ref$subFeaturedCount = _ref.subFeaturedCount,
      subFeaturedCount = _ref$subFeaturedCount === void 0 ? 3 : _ref$subFeaturedCount,
      renderFeature = _ref.renderFeature,
      renderSubFeatureList = _ref.renderSubFeatureList,
      renderRemainList = _ref.renderRemainList,
      theme = _ref.theme;

  var _splitItems = (0, _splitItems2.default)({
    items: items,
    showFeatured: showFeatured,
    subFeaturedCount: subFeaturedCount
  }),
      featuredItem = _splitItems.featuredItem,
      subFeaturedItems = _splitItems.subFeaturedItems,
      remainItems = _splitItems.remainItems;

  return _react.default.createElement("div", {
    className: theme.root
  }, _react.default.createElement("div", {
    "data-element": "Featured",
    className: theme.featuredWrapper
  }, _react.default.createElement("div", {
    className: theme.featuredItemWrapper
  }, renderFeature(featuredItem)), _react.default.createElement("div", {
    "data-element": "SubFeaturedList",
    className: theme.subFeaturedList
  }, renderSubFeatureList(subFeaturedItems))), _react.default.createElement("div", {
    "data-element": "RemainList",
    className: theme.remainList
  }, renderRemainList(remainItems)));
}

FeaturedListView.defaultProps = {
  showFeatured: true,
  subFeaturedCount: 3
};

var _default = (0, _reactCssThemr.themr)('FeaturedList', {}, {
  composeTheme: 'softly'
})(FeaturedListView);

exports.default = _default;