// @flow

import splitItems from '../splitItems'

const items = [1, 2, 3, 4, 5, 6, 7, 8, 9].map(x => `i${x}`)

describe('Split featured items', () => {
  it('showFeatured = true', () => {
    const result = splitItems({
      items,
      showFeatured: true,
      subFeaturedCount: 3,
    })
    expect(result).toEqual({
      featuredItem: 'i1',
      subFeaturedItems: ['i2', 'i3', 'i4'],
      remainItems: ['i5', 'i6', 'i7', 'i8', 'i9'],
    })
  })
  it('showFeatured = false', () => {
    const result = splitItems({
      items,
      showFeatured: false,
      subFeaturedCount: 3,
    })
    expect(result).toEqual({
      // featuredItem: ,
      subFeaturedItems: ['i1', 'i2', 'i3'],
      remainItems: ['i4', 'i5', 'i6', 'i7', 'i8', 'i9'],
    })
  })
})
