// @flow

export default function splitItems({
  items,
  showFeatured = true,
  subFeaturedCount = 3,
}: {
  items: any[],
  showFeatured: boolean,
  subFeaturedCount: number,
}): {
  featuredItem?: any,
  subFeaturedItems: any[],
  remainItems: any[],
} {
  const featuredItem = showFeatured ? items[0] : undefined

  const subFeaturedItems = items.slice(
    showFeatured ? 1 : 0,
    subFeaturedCount + (showFeatured ? 1 : 0),
  )

  const remainItems = items.slice(
    showFeatured ? 1 + subFeaturedCount : subFeaturedCount,
    Infinity,
  )

  return {
    featuredItem,
    subFeaturedItems,
    remainItems,
  }
}
