// @flow

import React from 'react'
import ImageItem from 'components/ImageItem'

function ImageItemList({ items, theme = {} }: TImageItemList) {
  return (
    <div data-component="ImageItemList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <ImageItem
            {...item}
            theme={theme.item}
          />
        </div>
      ))}
    </div>
  )
}

export default ImageItemList
