// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import YoutubeVideoPlayList from './'

const theme = {
  root: 'flex flex-wrap',
  content: 'w-100 w-60-ns',
  iframe: 'aspect-ratio--16x9',
  listWrapper: 'w-100 w-40-ns h5 h-auto-ns flex flex-column bg-light-gray',
  list: 'flex flex-wrap pa2',
  itemWrapper:
    'flex flex-wrap justify-center overflow-hidden ma1 w-100 pointer',
  imageWrapper: 'w-25 w-30-ns',
  image: 'aspect-ratio--4x3 w-100 bg-center cover br1',
  info: 'w-75 w-70-ns',
  titleWrapper: 'w-90 center',
  title: 'pc dark-gray f5 fw7',
  authorWrapper: 'mt2 w-90 center',
  author: 'pc dark-gray f6 fw4',
}

storiesOf('YoutubeVideoPlayList', module).add('Youtube', () => (
  <YoutubeVideoPlayList
    theme={theme}
    items={[
      'A71aqufiNtQ',
      'MhkGQAoc7bc',
      'KMX1mFEmM3E',
      '-40p_dZccPg',
      'PGUMRVowdv8',
      'JPT3bFIwJYA',
      'XxVg_s8xAms',
      'nusgoj74a3Y',
      '-AbaV3nrw6E',
      '6KMToownK4c',
      'WsmgDnHOWh4',
      'pTHCwUdGFkc',
      'aiGXW56ejGE',
      'pp2Jl7xkoeA',
      'eS6MSegecH4',
      'AslncyG8whg',
      'qh3dYM6Keuw',
    ]}
  />
))
